import { EOL } from 'os';

// parse table-style shell output
export function tableParse(str, seperator = /\s+/) {
  const outputRow = str.split(EOL);
  if (outputRow.length < 2) return null;

  const results = [];
  const keys = outputRow[0].trim().split(seperator);
  for (let i = 1; i < outputRow.length; i++) {
    const row = {};
    const values = outputRow[i].trim().split(seperator);
    if (values.length === keys.length) {
      for (let j = 0; j < keys.length; j++) {
        row[keys[j]] = values[j];
      }
      results.push(row);
    }
  }

  return results;
}
